/********************************************************************************
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

@import "openk.styles";

:host {
  display: flex;
  flex-flow: column;
  padding: 1em;
  align-items: center;
}

.history-header {
  width: 100%;
  display: flex;
  flex-flow: row wrap;
  align-items: center;
}

.history-header-title {
  margin-right: auto;
  font-size: x-large;
  font-weight: 600;
}

.history-details {
  margin-top: 1em;
  width: 100%;
  max-width: 70em;
}

.history-details--versions--content--version---border-left {
  border-left: 1px solid $openk-form-border;
}

.history-details--versions--content--version {
  flex: 0 1 50%;
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
}

.history-details--versions {
  display: block;
  box-sizing: border-box;
  width: 100%;
  height: calc(100vh - 4em);
}

.history-details--versions--content {
  display: flex;
  flex-direction: row;
  flex: 1;
  height: 100%;
}

.history-details--versions--content--version--list {
  flex: 1;
  display: flex;
  overflow: auto;
  flex-direction: column;
  border-top: 1px solid $openk-form-border;
}

.history-details--placeholder {
  padding: 1em;
  font-style: italic;
}
